Doomsday Engine - Feature #1467

[XG] Incorporate vanilla line/sector types
2008-07-11 16:17 - vermil

Status: New Start date: 2008-07-11
Priority: High % Done: 0%
Assignee:

Category:

Target version: Modding

Description

Ability to use Line/Sector_type to change the function of a line or sector action to one of the original games types.
Currently they can only change to another go line/sector function with Sector_type also able to change a sector to type 0.

This is quite a notable gap IMO because, as of Beta5, many of the original line/sector types don't have any matches in XG. For
instance secret crediting sectors, damaging sectors nullified by rad suits and plane movement activated by monsters using.

| personally have had to make a big hack using dummy sectors to get around this, in my modding experiments.

Labels: XG

Related issues:
Related to Feature #1620: XG 2.0 Progressed 2010-04-20

History

#1 - 2008-07-11 17:57 - danij

Logged In: YES
user_id=849456
Originator: NO

Rather than do that | think it would make more sense to add to XG the features of the DOOM line types it currently lacks. Ultimately, | would like to get
rid of the hardcoded line/sector types completely and use XG for everything.

#2 - 2008-07-14 12:01 - danij

Original comment as posted by vermil in a similar RFE on this subject:
"The result of a conversation with Dani about what features of the original
doom line/sector types currently can't be done in XG as of 1.9 Beta5:

1. Secret credit (type9): This lack of an xg equivalent can cause some
visual imperfections if your map includes colored light because obviously
you can't stick an xg sector on the secret credited sector.

2. XG Damaging sectors affected by Rad Suit. Speaks for itself.

3. There is no "monster_use" XG activation requirement, which among other
things, prevents the creation of XG doors monsters can open (the only thing
a monster can open in Dday is the original door line type 1). Of course a
"monster_use" requirement might be very difficult to implement.

4. Certain original Doom plane movement effects stop if something is in the
way. It would be cool to have a similar check you could place on any part
of an XG def (though | doubt you could literally place such a thing on any
part of a def, such as a line texture change).

Also, a glance through the beta5 teleporter XG reveals that non line
activated teleports don't seem to have an option to remove the fog effect."

#3 - 2009-10-04 22:12 - vermil

Logged In: YES
user_id=1420350
Originator: YES

Indeed, you have stated that as your ultimate goal before and indeed | do think that is the best solution.
Though, allowing access to the original line/sector types in the mean time, ONLY IF it is an easy thing to code in, is surely something that wouldn't
cause problems when the time comes to replace them all with XG? The eventually created XG replacements would surely still both function like and
use the same ID no as the original Doom line/sector type it replaces.

#4 - 2013-10-22 09:26 - skyjake

- Tags set to XG, Gameplay

- Subject changed from Original line/sector types added to Line/Sector._type options to [XG] Incorporate vanilla line/sector types

- Priority changed from Normal to High

XG 2.0 needs to include the vanilla types in the standard library of XG line/sector types.

#5 - 2017-04-03 18:48 - skyjake

- Target version set to Modding
